@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

:root {
    --main-color: #01a5ea;
    --gray-color: #b0b0b0;
}

.roboto-thin {
    font-family: "Roboto", sans-serif;
    font-weight: 100;
    font-style: normal;
}

.roboto-light {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.roboto-regular {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.roboto-medium {
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-style: normal;
}

.roboto-bold {
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.roboto-black {
    font-family: "Roboto", sans-serif;
    font-weight: 900;
    font-style: normal;
}

.roboto-thin-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 100;
    font-style: italic;
}

.roboto-light-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: italic;
}

.roboto-regular-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: italic;
}

.roboto-medium-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-style: italic;
}

.roboto-bold-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    font-style: italic;
}

.roboto-black-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 900;
    font-style: italic;
}

/* HEADER */
.navbar .navbar-brand img {
    width: 100px;
    height: auto;
}

.navbar-header {
    top: 0;
    position: fixed;
    width: 100%;
    z-index: 2;
}

.header-section {
    display: flex;
    justify-content: space-between;
}

.header-section .navbar-collapse {
    flex-grow: 0;
    flex-shrink: 0;
}

.header-section .navbar-collapse .navbar-nav {
    display: flex;
    gap: 14px;
}

.header-section .nav-link {
    text-transform: uppercase;
    font-weight: 500;
    font-size: 1rem;
    color: #fff;
    border-bottom: 2px solid #fff;
}

.header-section .nav-item .active {
    color: #ffa200 !important;
    font-weight: 600;
    border-bottom: 2px solid #ffa200 !important;
}

.header-section .nav-link:hover {
    color: #ffa200;
    border-bottom: 2px solid #ffa200;
}

.link-header {
    color: #fff;
}

#btn-toggler-nav {
    background-color: #fff;
}

/* CONTENT */
.background-top {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 500px;
}

.background-container {
    height: 100%;
    position: relative;
    background-size: cover !important;
    background-repeat: no-repeat !important;
}

.content-section {
    padding-top: 0px;
}

.background-top img {
    width: 100%;
    height: 100%;
}

.background-info {
    position: absolute;
    bottom: -5%;
    right: 50%;
    transform: translateX(50%);
    background-color: #fff;
    padding: 4px;
    border-radius: 4px;
    width: 40%;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.search-box {
    position: relative;
}

.search-box .input-search {
    padding: 10px;
    width: 100%;
    border: none;
    border: none;
    outline: none;
}

.search-box .btn-search {
    position: absolute;
    top: 50%;
    right: 4px;
    transform: translateY(-50%);
    background-color: transparent;
    border: none;
    outline: none;
}

.main-content {
    margin-top: 540px;
}

.section-title {
    color: var(--main-color);
    text-align: center;
}

.section-title-left {
    color: var(--main-color);
    text-align: left;
}

.section-title-right {
    color: var(--main-color);
    text-align: right;
}

.product-card {
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    position: relative;
    border: none !important;
}

.product-card .card-title {
    color: var(--main-color);
}

.product-card .card-sub-info {
    display: flex;
    justify-content: space-between;
    color: var(--gray-color);
}

.product-card .btn-book-card {
    position: absolute;
    bottom: -5%;
    right: 50%;
    background-color: var(--main-color);
    border: none;
    transform: translateX(50%);
}

.product-card .card-thumb {
    position: relative;
}

.product-card .card-thumb .card-tag-sale {
    position: absolute;
    bottom: 0;
    left: 0;
    font-size: 14px;
    color: #fff;
    background-color: red;
    padding: 4px 8px;
}

.product-card .card-thumb .card-price {
    text-align: right;
    position: absolute;
    top: 16px;
    right: 0;
    border-radius: 10px;
    color: #fff;
    padding: 4px 16px;
    font-size: 16px;
    background-color: var(--main-color);
}

.banner-section {
    position: relative;
    border-radius: 16px;
}

/* FOOTER */
.footer-section {
    background-color: var(--main-color);
}

.scrolled {
    background-color: var(--main-color);
}
/* DROP DOWN MENU */
.dropdown-menu {
    width: fit-content;
    position: absolute;
    max-width: 100vw; /* Limits width to fit the screen */
    border-radius: 8px;
    background-color: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    top: 100%;
    margin-top: 8px;
    right: -200px;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.dropdown-header {
    font-weight: bold;
    color: #333;
    margin-bottom: 8px;
    padding: 4px 0;
}

.dropdown-item {
    color: #555;
    font-size: 14px;
    padding: 4px 0;
    text-decoration: none;
    display: flex;
}

.dropdown-item:hover {
    color: #007bff;
    text-decoration: underline;
}

.mr-4 {
    flex: 1;
    padding: 10px 20px;
    min-width: 180px;
}

.nav-link {
    color: white !important;
}

.messager-action {
    background-color: transparent;
    border: none;
    outline: none;
    height: 60px;
    width: 68px;
    position: fixed;
    bottom: 25%;
    right: 12px;
    border: 1px dashed var(--main-color);
    padding: 4px 8px;
    border-radius: 10px;
}

/* Search button */
.searchToggle {
    width: 32px;
    display: flex;
    justify-content: center;
}

.dropdown-container {
    width: 300px;
    padding: 1rem;
    border-radius: 8px;
    background-color: #f8f9fa;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: none;
    position: absolute;
    top: 100%;
    margin-top: 8px;
    left: -200px;
    z-index: 1000;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}
.input-group-text {
    background-color: transparent;
    border: none;
}

.shadow-card {
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border: none !important;
}

.btn-program-detail {
    border: none !important;
    color: #f9a51a !important;
}

.object-cover {
    object-fit: cover;
}

.overflow-hidden {
    overflow: hidden;
}

.hidden {
    display: none !important;
}
